FUNCTION IERASE(3)

NAME
boost::algorithm::ierase_first_copy - Erase first algorithm ( case insensitive )

SYNOPSIS

// In header: <boost/algorithm/string/erase.hpp>
template<typename OutputIteratorT, typename Range1T, typename Range2T>
  OutputIteratorT
  ierase_first_copy(OutputIteratorT Output, const Range1T & Input,
                    const Range2T & Search,
                    const std::locale & Loc = std::locale());
template<typename SequenceT, typename RangeT>
  SequenceT ierase_first_copy(const SequenceT & Input, const RangeT & Search,
                              const std::locale & Loc = std::locale());

DESCRIPTION

Remove the first occurrence of the substring from the input. The result is a modified copy of the input. It is returned as a sequence or copied to the output iterator. Searching is case insensitive.

Parameters:

    Input
        An input string

    Loc
        A locale used for case insensitive comparison

    Output
        An output iterator to which the result will be copied

    Search
        A substring to be searched for

Returns:
    An output iterator pointing just after the last inserted character or a modified copy of the input

Notes:
    The second variant of this function provides the strong exception-safety guarantee